:root {
  --dark-bg: #333333;
  --header-bg: #1f4060;
  --text-light: #f2f2f2;
  --accent-blue: #2a5a8c;
  --hover-blue: #101e2c;
}

/* ===== BODY ===== */
body {
    margin: 0;
    background-image: url('pozadibody.png');
    background-repeat: no-repeat;
    background-attachment: fixed;
    background-size: cover;
    font-family: Arial, sans-serif;
}

/* ===== HEADER ===== */
header {
    background-image: url('pozadí.png');
    background-size: cover;
    display: flex;
    flex-direction: column;
    align-items: center;
    padding: 20px 0;
}

h1 {
    color: red;
    font-size: 60px;
    margin: 0;
}

/* ===== NAV ===== */
nav ul {
    display: flex;
    justify-content: center;
    gap: 30px;
    list-style: none;
    padding: 0;
    margin: 20px 0 0 0;
}

nav ul li {
    color: aqua;
    font-size: 20px;
    font-weight: bold;
    cursor: pointer;
}

nav ul li:hover {
    color: var(--hover-blue);
}

nav ul li a{
    color: aqua;
    text-decoration: none;
}

/* ===== SECTION ===== */
.body {
    max-width: 900px;
    margin: 40px auto;
    background: rgba(214, 214, 212, 0.95);
    padding: 20px;
    border-radius: 10px;
}

/* ===== TABULKY ===== */
table {
    width: 100%;
    border-collapse: collapse;
    margin-bottom: 30px;

    border: 3px solid black; /* HLAVNÍ OKRAJ */
}

th, td {
    border: 2px solid black; /* OKRAJE BUNĚK */
    padding: 10px;
    text-align: center;
}

thead {
    background-color: var(--accent-blue);
    color: white;
}

tbody tr:nth-child(1) {
    background-color: gold; /* 1. místo */
}

tbody tr:hover {
    background-color: #ddd;
}

/* ===== NADPIS SEKCE ===== */
.hub {
    text-align: center;
    color: black;
}

/* ===== ČLÁNKY ===== */
.clanek {
    display: block;
    width: 50%;              /* větší než předtím */
    margin: 30px auto;         /* zarovnání na střed */
    padding: 20px;
    background: #ffd54f;       /* žluté pozadí */
    border-radius: 12px;

    text-decoration: none;     /* odstraní podtržení */
    color: black;              /* normální text */

    text-align: center;        /* text na střed */
    box-shadow: 0 5px 15px rgba(0,0,0,0.2);
    transition: 0.3s;
}

.clanek:hover {
    transform: scale(1.03);
    background: #ffca28;       /* trochu tmavší žlutá při hoveru */
}

/* obrázek */
.clanek img {
    width: 100%;
    border-radius: 10px;
}

/* nadpis */
.clanek h2 {
    margin: 10px 0;
}

/* text */
.clanek p, .clanekp {
    margin: 5px;
    padding: 10px;
}

/* ===== FOOTER ===== */
footer {
    text-align: center;
    padding: 20px;
    color: white;
    background-image: url('pozadí.png');
}

.gradient-text {

  background-image: linear-gradient(to right, red, blue);
  

  -webkit-background-clip: text;
  background-clip: text;
  

  -webkit-text-fill-color: transparent;
  color: transparent;
  


  font-weight: bold;
}
